Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class Method

    java.lang.Object
      com.rabbitmq.client.impl.Method

All Implemented Interfaces:
  Method

Direct Known Subclasses:
  AMQImpl.Access.Request, AMQImpl.Access.RequestOk, AMQImpl.Basic.Ack, AMQImpl.Basic.Cancel, AMQImpl.Basic.CancelOk, AMQImpl.Basic.Consume, AMQImpl.Basic.ConsumeOk, AMQImpl.Basic.Deliver, AMQImpl.Basic.Get, AMQImpl.Basic.GetEmpty, AMQImpl.Basic.GetOk, AMQImpl.Basic.Nack, AMQImpl.Basic.Publish, AMQImpl.Basic.Qos, AMQImpl.Basic.QosOk, AMQImpl.Basic.Recover, AMQImpl.Basic.RecoverAsync, AMQImpl.Basic.RecoverOk, AMQImpl.Basic.Reject, AMQImpl.Basic.Return, AMQImpl.Channel.Close, AMQImpl.Channel.CloseOk, AMQImpl.Channel.Flow, AMQImpl.Channel.FlowOk, AMQImpl.Channel.Open, AMQImpl.Channel.OpenOk, AMQImpl.Confirm.Select, AMQImpl.Confirm.SelectOk, AMQImpl.Connection.Close, AMQImpl.Connection.CloseOk, AMQImpl.Connection.Open, AMQImpl.Connection.OpenOk, AMQImpl.Connection.Secure, AMQImpl.Connection.SecureOk, AMQImpl.Connection.Start, AMQImpl.Connection.StartOk, AMQImpl.Connection.Tune, AMQImpl.Connection.TuneOk, AMQImpl.Exchange.Bind, AMQImpl.Exchange.BindOk, AMQImpl.Exchange.Declare, AMQImpl.Exchange.DeclareOk, AMQImpl.Exchange.Delete, AMQImpl.Exchange.DeleteOk, AMQImpl.Exchange.Unbind, AMQImpl.Exchange.UnbindOk, AMQImpl.Queue.Bind, AMQImpl.Queue.BindOk, AMQImpl.Queue.Declare, AMQImpl.Queue.DeclareOk, AMQImpl.Queue.Delete, AMQImpl.Queue.DeleteOk, AMQImpl.Queue.Purge, AMQImpl.Queue.PurgeOk, AMQImpl.Queue.Unbind, AMQImpl.Queue.UnbindOk, AMQImpl.Tx.Commit, AMQImpl.Tx.CommitOk, AMQImpl.Tx.Rollback, AMQImpl.Tx.RollbackOk, AMQImpl.Tx.Select, AMQImpl.Tx.SelectOk

    public abstract class Method

extends java.lang.Object
implements Method

Base class for AMQP method objects, specialized by autogenerated code in AMQP.java.

Constructor Summary
`Method()`

Method Summary
`void` | `appendArgumentDebugStringTo(java.lang.StringBuilder buffer)` Public API - debugging utility
`abstract boolean` | `hasContent()` Tell if content is present.
`abstract int` | `protocolClassId()` Retrieve the protocol class ID
`abstract int` | `protocolMethodId()` Retrieve the protocol method ID
`abstract java.lang.String` | `protocolMethodName()` Retrieve the method name
`Frame` | `toFrame(int channelNumber)`
`java.lang.String` | `toString()`
`abstract java.lang.Object` | `visit(AMQImpl.MethodVisitor visitor)` Visitor support (double-dispatch mechanism).
`abstract void` | `writeArgumentsTo(MethodArgumentWriter writer)` Private API - Autogenerated writer for this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Method

    public Method()

Method Detail

### protocolClassId

    public abstract int protocolClassId()

  Retrieve the protocol class ID

  Specified by:
    `protocolClassId` in interface `Method`
  Returns:
    the AMQP protocol class ID of this Method

### protocolMethodId

    public abstract int protocolMethodId()

  Retrieve the protocol method ID

  Specified by:
    `protocolMethodId` in interface `Method`
  Returns:
    the AMQP protocol method ID of this Method

### protocolMethodName

    public abstract java.lang.String protocolMethodName()

  Retrieve the method name

  Specified by:
    `protocolMethodName` in interface `Method`
  Returns:
    the AMQP protocol method name of this Method

### hasContent

    public abstract boolean hasContent()

  Tell if content is present.

  Returns:
    true if the wire-protocol for this method should involve a content header and body, or false if it should just involve a single method frame.

### visit

    public abstract java.lang.Object visit(AMQImpl.MethodVisitor visitor)
                                    throws java.io.IOException

  Visitor support (double-dispatch mechanism).

  Parameters:
    `visitor` - the visitor object
  Returns:
    the result of the "visit" operation
  Throws:
    `java.io.IOException` - if an error is encountered

### writeArgumentsTo

    public abstract void writeArgumentsTo(MethodArgumentWriter writer)
                                   throws java.io.IOException

  Private API - Autogenerated writer for this method.

  Parameters:
    `writer` - interface to an object to write the method arguments
  Throws:
    `java.io.IOException` - if an error is encountered

### appendArgumentDebugStringTo

    public void appendArgumentDebugStringTo(java.lang.StringBuilder buffer)

  Public API - debugging utility

  Parameters:
    `buffer` - the buffer to append debug data to

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toFrame

    public Frame toFrame(int channelNumber)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD